using System;

internal sealed class Delegate379 : MulticastDelegate
{
	public extern double Invoke(double double_0);

	public static double smethod_0(double double_0, Delegate379 delegate379_1)
	{
		return delegate379_1(double_0);
	}

	public extern Delegate379(object object_0, IntPtr intptr_0);

	static Delegate379()
	{
		Class10.smethod_13(typeof(Delegate379).TypeHandle);
	}

	internal static Delegate379 delegate379_0;
}
